Create organization
POST
/api/v1/instance/organizations
const url = 'https://example.com/api/v1/instance/organizations';const options = { method: 'POST', headers: { cookie: 'ttx_access_token=<ttx_access_token>', 'X-CSRF-Token': '<X-CSRF-Token>', 'Content-Type': 'application/json' }, body: '{"name":"example","program_manager_email":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/instance/organizations \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: <X-CSRF-Token>' \ --cookie ttx_access_token=<ttx_access_token> \ --data '{ "name": "example", "program_manager_email": "hello@example.com" }'Create an organization, naming the account that will manage it.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
InstanceOrganizationCreateRequest
object
name
required
Name
string
program_manager_email
required
Program Manager Email
string format: email
Example generated
{ "name": "example", "program_manager_email": "hello@example.com"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
InstanceOrganizationRead
object
Example generated
{ "created_at": "2026-04-15T12:00:00Z", "domain": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "program_manager_count": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}